commit:     d18d34b1738b1003a1925d8d0093e3a677b3d66a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 26 05:06:43 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 26 05:06:43 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d18d34b1

dev-python/oslo-concurrency: Bump to 7.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/oslo-concurrency/Manifest               |  1 +
 .../oslo-concurrency/oslo-concurrency-7.2.0.ebuild | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/oslo-concurrency/Manifest 
b/dev-python/oslo-concurrency/Manifest
index 5c994377577b..998fcfe12c5a 100644
--- a/dev-python/oslo-concurrency/Manifest
+++ b/dev-python/oslo-concurrency/Manifest
@@ -1 +1,2 @@
 DIST oslo_concurrency-7.1.0.tar.gz 60111 BLAKE2B 
049a2328d0085872d3d4369792af7a93bf29fdc94a11f254d33d262b219c10bdfbe3bb24759b82a473ea8941e3f73f72660aadcbc8710d75f878fb08c6d5db0f
 SHA512 
4c69cab1f40f550d7308be8a7488aeac06bb11ec56585819a6518fffe42ff240299b8eeee02b9907a0e3822a4f2323c1658abe2e406508a8f2e28faf70ad34b3
+DIST oslo_concurrency-7.2.0.tar.gz 60285 BLAKE2B 
5910c9ebd0f5b95b72448353b2d76cad4f76fa85afb3a1771e103692e42865e59f9a85566ea69c8738ae2decc7569f4a302c15cdd295231426b78b66fd5207d3
 SHA512 
61383fb73812ed1f5cb4bd3957a22e05923ed611d425b156b209f6fd70789c97223b405e17740223c6428002e172538f141a8698c716f7c3a16a4419733479b0

diff --git a/dev-python/oslo-concurrency/oslo-concurrency-7.2.0.ebuild 
b/dev-python/oslo-concurrency/oslo-concurrency-7.2.0.ebuild
new file mode 100644
index 000000000000..ae75ec7d7c95
--- /dev/null
+++ b/dev-python/oslo-concurrency/oslo-concurrency-7.2.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Concurrency library"
+HOMEPAGE="
+       https://opendev.org/openstack/oslo.concurrency/
+       https://github.com/openstack/oslo.concurrency/
+       https://pypi.org/project/oslo.concurrency/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/debtcollector-3.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+       >=dev-python/fasteners-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # fails, then hangs
+       rm oslo_concurrency/tests/unit/test_lockutils_eventlet.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+       eunittest
+}

Reply via email to